﻿using System.ComponentModel;

using DevExpress.XtraEditors;
using DevExpress.XtraEditors.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.spinEdit.Validating   += spinEdit_Validating;
            this.spinEdit.InvalidValue += spinEdit_InvalidValue;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 스핀 에디터 검증시 처리하기 - spinEdit_Validating(sender, e)

        /// <summary>
        /// 스핀 에디터 검증시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void spinEdit_Validating(object sender, CancelEventArgs e)
        {
            SpinEdit spinEdit = sender as SpinEdit;

            if(spinEdit.Value >= 100)
            {
                e.Cancel = true;
            }
        }

        #endregion
        #region 스핀 에디터 무효 값 처리하기 - spinEdit_InvalidValue(sender, e)

        /// <summary>
        /// 스핀 에디터 무효 값 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void spinEdit_InvalidValue(object sender, InvalidValueExceptionEventArgs e)
        {
            e.ErrorText = "값이 100보다 작아야 합니다.";
        }

        #endregion
    }
}